Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.MyStatus

    java.lang.Object
      java.lang.Enum<Conversation.MyStatus>
          com.skype.api.Conversation.MyStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Conversation.MyStatus>

Enclosing class:
  Conversation

    public static enum Conversation.MyStatus

extends java.lang.Enum<Conversation.MyStatus>
implements EnumConverting

Enum Constant Summary
`APPLICANT` I'm applying to join the conference
`APPLICATION_DENIED` My application to join the conference was denied
`CONNECTING` connecting to conference
`CONSUMER` I'm part of the conference, I can participate
`DOWNLOADING_MESSAGES` unused
`INVALID_ACCESS_TOKEN` The password I provided is incorrect
`QUEUED_TO_ENTER` conference is full for now, being queued
`RETIRED_FORCEFULLY` I was kicked from the conference
`RETIRED_VOLUNTARILY` I left the conference
`RETRY_CONNECTING`

Field Summary
`static int` | `APPLICANT_VALUE`
`static int` | `APPLICATION_DENIED_VALUE`
`static int` | `CONNECTING_VALUE`
`static int` | `CONSUMER_VALUE`
`static int` | `DOWNLOADING_MESSAGES_VALUE`
`static int` | `INVALID_ACCESS_TOKEN_VALUE`
`static int` | `QUEUED_TO_ENTER_VALUE`
`static int` | `RETIRED_FORCEFULLY_VALUE`
`static int` | `RETIRED_VOLUNTARILY_VALUE`
`static int` | `RETRY_CONNECTING_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Conversation.MyStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Conversation.MyStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.MyStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONNECTING

    public static final Conversation.MyStatus CONNECTING

  connecting to conference

### RETRY_CONNECTING

    public static final Conversation.MyStatus RETRY_CONNECTING

### DOWNLOADING_MESSAGES

    public static final Conversation.MyStatus DOWNLOADING_MESSAGES

  unused

### QUEUED_TO_ENTER

    public static final Conversation.MyStatus QUEUED_TO_ENTER

  conference is full for now, being queued

### APPLICANT

    public static final Conversation.MyStatus APPLICANT

  I'm applying to join the conference

### APPLICATION_DENIED

    public static final Conversation.MyStatus APPLICATION_DENIED

  My application to join the conference was denied

### INVALID_ACCESS_TOKEN

    public static final Conversation.MyStatus INVALID_ACCESS_TOKEN

  The password I provided is incorrect

### CONSUMER

    public static final Conversation.MyStatus CONSUMER

  I'm part of the conference, I can participate

### RETIRED_FORCEFULLY

    public static final Conversation.MyStatus RETIRED_FORCEFULLY

  I was kicked from the conference

### RETIRED_VOLUNTARILY

    public static final Conversation.MyStatus RETIRED_VOLUNTARILY

  I left the conference

Field Detail

### CONNECTING_VALUE

    public static final int CONNECTING_VALUE

See Also:
  Constant Field Values

### RETRY_CONNECTING_VALUE

    public static final int RETRY_CONNECTING_VALUE

See Also:
  Constant Field Values

### DOWNLOADING_MESSAGES_VALUE

    public static final int DOWNLOADING_MESSAGES_VALUE

See Also:
  Constant Field Values

### QUEUED_TO_ENTER_VALUE

    public static final int QUEUED_TO_ENTER_VALUE

See Also:
  Constant Field Values

### APPLICANT_VALUE

    public static final int APPLICANT_VALUE

See Also:
  Constant Field Values

### APPLICATION_DENIED_VALUE

    public static final int APPLICATION_DENIED_VALUE

See Also:
  Constant Field Values

### INVALID_ACCESS_TOKEN_VALUE

    public static final int INVALID_ACCESS_TOKEN_VALUE

See Also:
  Constant Field Values

### CONSUMER_VALUE

    public static final int CONSUMER_VALUE

See Also:
  Constant Field Values

### RETIRED_FORCEFULLY_VALUE

    public static final int RETIRED_FORCEFULLY_VALUE

See Also:
  Constant Field Values

### RETIRED_VOLUNTARILY_VALUE

    public static final int RETIRED_VOLUNTARILY_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Conversation.MyStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.MyStatus c : Conversation.MyStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.MyStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Conversation.MyStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.